Godville UI old unsupported don't install me Version History

1 version

Be careful with old versions!

These versions are displayed for reference and testing purposes. You should always use the latest version of an add-on.

Version le.finale 6.8 kB Works with Firefox 3.6 and later

Blocks the game and shows the message about migrating to a new analog and deleting this add-on.